rte_pmd_iavf.h(3)

NAME
rte_pmd_iavf.h

SYNOPSIS

#include <stdio.h>
#include <rte_compat.h>
#include <rte_mbuf.h>
#include <rte_mbuf_dyn.h>

  Data Structures

union rte_pmd_ifd_proto_xtr_metadata

  Macros

#define RTE_PMD_IFD_DYNF_PROTO_XTR_METADATA(m)
#define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_VLAN (rte_pmd_ifd_dynflag_proto_xtr_vlan_mask)
#define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IPV4 (rte_pmd_ifd_dynflag_proto_xtr_ipv4_mask)
#define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IPV6 (rte_pmd_ifd_dynflag_proto_xtr_ipv6_mask)
#define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IPV6_FLOW (rte_pmd_ifd_dynflag_proto_xtr_ipv6_flow_mask)
#define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_TCP (rte_pmd_ifd_dynflag_proto_xtr_tcp_mask)
#define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IP_OFFSET (rte_pmd_ifd_dynflag_proto_xtr_ip_offset_mask)

  Functions

__rte_experimental int rte_pmd_iavf_reinit (uint16_t port)
static __rte_experimental __rte_always_inline int rte_pmd_ifd_dynf_proto_xtr_metadata_avail (void)
static __rte_experimental __rte_always_inline uint32_t rte_pmd_ifd_dynf_proto_xtr_metadata_get (struct rte_mbuf *m)
static __rte_experimental void rte_pmd_ifd_dump_proto_xtr_metadata (struct rte_mbuf *m)

Detailed Description

iavf PMD specific functions.

EXPERIMENTAL: this API may change, or be removed, without prior notiavf

Definition in file rte_pmd_iavf.h.

Macro Definition Documentation

  #define RTE_PMD_IFD_DYNF_PROTO_XTR_METADATA( m)
Value:
    RTE_MBUF_DYNFIELD((m), \
              rte_pmd_ifd_dynfield_proto_xtr_metadata_offs, \
              uint32_t *)

The mbuf dynamic field pointer for flexible descriptor's extraction metadata.

Definition at line 115 of file rte_pmd_iavf.h.

  #define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_VLAN (rte_pmd_ifd_dynflag_proto_xtr_vlan_mask)
The mbuf dynamic flag for VLAN protocol extraction metadata, it is valid when dev_args 'proto_xtr' has 'vlan' specified.

Definition at line 124 of file rte_pmd_iavf.h.

  #define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IPV4 (rte_pmd_ifd_dynflag_proto_xtr_ipv4_mask)
The mbuf dynamic flag for IPv4 protocol extraction metadata, it is valid when dev_args 'proto_xtr' has 'ipv4' specified.

Definition at line 131 of file rte_pmd_iavf.h.

  #define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IPV6 (rte_pmd_ifd_dynflag_proto_xtr_ipv6_mask)
The mbuf dynamic flag for IPv6 protocol extraction metadata, it is valid when dev_args 'proto_xtr' has 'ipv6' specified.

Definition at line 138 of file rte_pmd_iavf.h.

  #define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IPV6_FLOW (rte_pmd_ifd_dynflag_proto_xtr_ipv6_flow_mask)
The mbuf dynamic flag for IPv6 with flow protocol extraction metadata, it is valid when dev_args 'proto_xtr' has 'ipv6_flow' specified.

Definition at line 145 of file rte_pmd_iavf.h.

  #define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_TCP (rte_pmd_ifd_dynflag_proto_xtr_tcp_mask)
The mbuf dynamic flag for TCP protocol extraction metadata, it is valid when dev_args 'proto_xtr' has 'tcp' specified.

Definition at line 152 of file rte_pmd_iavf.h.

  #define RTE_IAVF_PKT_RX_DYNF_PROTO_XTR_IP_OFFSET (rte_pmd_ifd_dynflag_proto_xtr_ip_offset_mask)
The mbuf dynamic flag for IP_OFFSET extraction metadata, it is valid when dev_args 'proto_xtr' has 'ip_offset' specified.

Definition at line 159 of file rte_pmd_iavf.h.

Function Documentation

  __rte_experimental int rte_pmd_iavf_reinit (uint16_t port)
Request PF driver to initiate a PF-to-VF RESET and restore the device following the reset by reconfiguring and restarting the device. The port must be started before calling this function.

Parameters
    port The port identifier of the Ethernet device.

Returns
    0 if successful, otherwise if a failure occurs

  __rte_experimental __rte_always_inline int rte_pmd_ifd_dynf_proto_xtr_metadata_avail (void ) [static]
Check if mbuf dynamic field for flexible descriptor's extraction metadata is registered.

Returns
    True if registered, false otherwise.

Definition at line 171 of file rte_pmd_iavf.h.

  __rte_experimental __rte_always_inline uint32_t rte_pmd_ifd_dynf_proto_xtr_metadata_get (struct rte_mbuf * m) [static]
Get the mbuf dynamic field for flexible descriptor's extraction metadata.

Parameters
    m The pointer to the mbuf.

Returns
    The saved protocol extraction metadata.

Definition at line 186 of file rte_pmd_iavf.h.

  __rte_experimental void rte_pmd_ifd_dump_proto_xtr_metadata (struct rte_mbuf * m) [inline], [static]
Dump the mbuf dynamic field for flexible descriptor's extraction metadata.

Parameters
    m The pointer to the mbuf.

Definition at line 199 of file rte_pmd_iavf.h.

Author

Generated automatically by Doxygen for DPDK from the source code.